Deutsche Flagge / German flagBritish flag / Britische Flagge

« earthlingsoft Homepage Quartz Composer in Sudden Motion Icon

Quartz Composer in Sudden Motion

A Plug-In for Quartz Composer

Download (Version 2, 56KB, Mac OS X.5, Sudden Motion Sensor)

Open Source.

Quartz Composer in Sudden Motion is a Plug-In for Mac OS X’s Quartz Composer technology. It reads the current acceleration values from the Sudden Motion Sensor in recent portable Macs and provides those to the Quartz Composer environment.

The Plug-In can be used to create animations in Quartz Composer which are controlled by the acceleration or the orientation of the computer.

After completing the download you have to move the file ‘QCiSM.plugin’ into the folder ‘Quartz Composer Plug-Ins’ insider the folder ‘Graphics’ inside the ‘Library’ folder of your home folder. If those folders do not exist, you need to create them first without making any typos. The next time you launch the Quartz Composer application, a new Patch named ‘Motion Sensor’ will be available. Apart from the Plug-In the download includes a demo file and source code.

Mac OS X.6 users: It seems that Apple liked QCiSM enough to include the “Accelerometer”-Patch in Mac OS X.6. Unless you need backwards comptability with Mac OS X.5, it will probably be more convenient to use that patch instead.

Mac OS X.4 users can download an older version of the Plug-In and install it using the instructions in the included read me.

Quartz Composer in Sudden Motion uses the unimotion library to access the Sudden Motion Sensor. A big thank you to its creators.

If you think Quartz Composer in Sudden Motion looks cool but you don’t like doing the fiddling yourself, try our Skip Checker application which provides a ready-made graphical interface for some Motion Sensor related features.

ScreenshotsDonateE-MailLeave a comment

Version History

2 (2009-08-28)
Added 64bit executable to the Plug-In for full compatibility with Mac OS X.6.
1 (2007-11-15)
Adjusted for the official Quartz Composer Plug-In API in Mac OS X.5. The Plug-In now requires Mac OS X.5. Users of Mac OS X.4 please use version 0.2.
0.2 (2006-09-15)
Universal Binary. You will need this version for Mac OS X.4.
0.1 (2005-10-28)
First public release.